import request from '@/utils/request'

//高级算法-暂降事件关联分析主列表
export function querySagEventsPage(data) {
    return request({
        url: '/advance-boot/process/querySagEventsPage',
        method: 'post',
        data,
    })

}
//启动关联分析
export function processEvents(data) {
    return request({
        url: '/advance-boot/process/processEvents',
        method: 'get',
        params:data,
    })

}
//操作记录删除
export function delRelevantLog(data) {
    return request({
        url: '/advance-boot/process/delRelevantLog',
        method: 'get',
        params:data,
    })

}
//事件查看
export function queryEventsAssPage(data) {
    return request({
        url: '/advance-boot/process/queryEventsAssPage',
        method: 'post',
        data,
    })

}
//事件分析操作记录查看
export function queryRelevantLogPage(data) {
    return request({
        url: '/advance-boot/process/queryRelevantLogPage',
        method: 'post',
        data,
    })

}
//终端台账信息
export function getRuntimeData(data) {
    return request({
        url: '/device-boot/runManage/getRuntimeData',
        method: 'post',
        data,
    })

}
//事件详情查看
export function queryEventDetailByAssId(data) {
    return request({
        url: '/advance-boot/process/queryEventDetailByAssId',
        method: 'get',
        params:data,
    })

}
//新增关联事件主列表
export function queryEventByTimeRange(data) {
    return request({
        url: '/advance-boot/process/queryEventByTimeRange',
        method: 'post',
        data,
    })

}
//把暂降事件添加到指定事件中去
export function updateEventToAss(data) {
    return request({
        url: '/advance-boot/process/updateEventToAss',
        method: 'post',
        data,
    })

}
//查询关联事件中的暂降事件
export function queryEventList(data) {
    return request({
        url: '/advance-boot/process/queryEventList',
        method: 'post',
        data,
    })

}
//删除事件
export function delEventToAss(data) {
    return request({
        url: '/advance-boot/process/delEventToAss',
        method: 'post',
        data,
    })

}